
Robotics Service Bus - Tasks #567
Export dependencies through cmake
09/13/2011 08:33 PM - J. Wienke

Status: Resolved Start date: 09/13/2011
Priority: Normal Due date:
Assignee: % Done: 100%
Category: C++ Estimated time: 2.00 hours
Target version: 0.5
Description

http://www.vtk.org/Wiki/CMake/Tutorials/How_to_create_a_ProjectConfig.cmake_file

Understand this. Downstream projects should not be responsible of searching upstream libraries.

Associated revisions
Revision 880cdf96 - 09/14/2011 01:07 PM - J. Wienke

proivde a cmake version file

refs #567

Revision ab06cd42 - 09/14/2011 02:25 PM - J. Wienke

use cmake exports for rsb

fixes #567

Revision 17093c13 - 09/14/2011 02:34 PM - J. Wienke

correctly export all other dependencies. the hack for the static lib did not work

refs #567

Revision 3cea5ec9 - 09/14/2011 08:16 PM - J. Moringen
Avoid duplicate execution in RSBConfig.cmake.in
refs #567
    -  RSBConfig.cmake.in: prevent the file from being executed multiple

  time when included multiple times; otherwise duplicate library
  targets cause errors

History
#1 - 09/14/2011 01:07 PM - J. Wienke
- Status changed from New to In Progress

#2 - 09/14/2011 02:26 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100
http://www.vtk.org/Wiki/CMake/Tutorials/How_to_create_a_ProjectConfig.cmake_file


Applied in changeset r2602.

#3 - 09/14/2011 02:29 PM - J. Wienke

Stefan, can you check that this now suites or discussions on the mailing list about exporting dependencies etc.?

#4 - 10/27/2011 08:30 PM - J. Moringen
- Target version changed from rsb-0.10 to 0.5
